Package org.codehaus.groovy.transform.trait

## Annotation Type Traits.TraitBridge

-     @Retention(RUNTIME)
      @Target(METHOD)
      public static @interface Traits.TraitBridge

  Internal annotation used to indicate that a method is a bridge method to a trait default implementation.

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element | Description
    --- | --- | ---
    `String` | `desc` |
    `Class<?>` | `traitClass` |

- - ### Element Detail

    - #### traitClass

          Class<?> traitClass

      Returns:
        the trait class

  - - #### desc

          String desc

      Returns:
        The method descriptor of the method from the trait